<?php
namespace Pushassist\Webpushnotification\Controller\Adminhtml\Settings;

use Magento\Framework\App\Action\Context;
use Magento\Framework\App\Config\ScopeConfigInterface;

class Autosendproduct extends \Magento\Backend\App\Action
{
    protected $_scopeConfig;
    protected $_resource;
    protected $messageManager;

    public function __construct(
	Context $context,
	ScopeConfigInterface $scopeConfig,
	\Magento\Framework\Message\ManagerInterface $messageManager,
	\Magento\Framework\App\Config\ConfigResource\ConfigInterface $resource
    ) {
	$this->messageManager = $messageManager;
	$this->_scopeConfig = $scopeConfig;
	$this->_resource = $resource;
	
	parent::__construct($context);
    }


    public function execute()
    { 
      
	  $post=$this->getRequest()->getPost();
	  if($post){
	      if(isset($post['pushassist_js_restrict'])){
		      $this->_resource->saveConfig('pushassistsection/general/pushassist_js_restrict', $post['pushassist_js_restrict'], 'default',  0);
	      }else{
		      $this->_resource->saveConfig('pushassistsection/general/pushassist_js_restrict', $post['pushassist_js_restrict'], 'default' ,0);
	      }
	      $this->_resource->saveConfig('pushassistsection/general/pushassist_setting_post_message', $post['pushassist_setting_post_message'], 'default' ,0);
	     
	  }
	 $this->messageManager->addSuccess(__('Update Successfully'));
	 return $this->resultRedirectFactory->create()->setPath('pushassist/settings/index/', ['_current' => true]);
    }
}

