<?php
namespace Pushassist\Webpushnotification\Block\Adminhtml;

use Magento\Backend\Block\Template;
use Magento\Store\Model\ScopeInterface;
use Magento\Store\Model\StoreManagerInterface;

class Createaccount extends Template
{
   
    protected $_config;
    protected $_storeManager;
    protected $_helper;

    /**
    * @param Context $context
    * @param array $data
    */
    public function __construct(
        Template\Context $context,
	 \Magento\Store\Model\StoreManagerInterface $storeManager,
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
	 \Pushassist\Webpushnotification\Helper\Data $datahelper,
        array $data = []
    ) {
	$this->_scopeConfig = $scopeConfig;
	$this->_storeManager = $storeManager;
	$this->_helper = $datahelper;
        parent::__construct($context, $data);
      
       
    }
    public function getcheckAccount(){
	return $this->_helper->get_account_details();
    }
    public function getApiKey(){
	return $this->_scopeConfig->getValue('pushassistsection/general/apikey',ScopeInterface::SCOPE_STORE);
    }
    public function getSecretKey(){
	return $this->_scopeConfig->getValue('pushassistsection/general/secretkey',ScopeInterface::SCOPE_STORE);
    }
 }
