<?php
namespace Pushassist\Webpushnotification\Controller\Adminhtml\Createsegments;

use Magento\Framework\App\Action\Context;
use Magento\Framework\App\Config\ScopeConfigInterface;

class Add extends \Magento\Backend\App\Action
{
    protected $_scopeConfig;
    protected $_resource;
    protected $messageManager;
  
    public function __construct(
	Context $context,
	ScopeConfigInterface $scopeConfig,
	\Magento\Framework\Message\ManagerInterface $messageManager,
	\Magento\Framework\App\Config\ConfigResource\ConfigInterface $resource
	
	
    ) { $this->messageManager = $messageManager;
	$this->_scopeConfig = $scopeConfig;
	$this->_resource = $resource;
	
	parent::__construct($context);
    }


    public function execute() { 
     
      $post=$this->getRequest()->getPost();

	  if($post){

	      $response_array = array("segment" => array( "segment_name" => urlencode($post['title'])));
	      $result_array =$this->_objectManager->create('Pushassist\Webpushnotification\Helper\Data')->add_segments($response_array);
	  
	      if($result_array['status'] == 'Success'){
		      $this->messageManager->addSuccess(__($result_array['response_message']));
		      return $this->resultRedirectFactory->create()->setPath('pushassist/segments/index/', ['_current' => true]);
	      }else if($result_array['status'] == 'Error') {
		      $this->messageManager->addError(__($result_array['error_message']));
		      return $this->resultRedirectFactory->create()->setPath('pushassist/createsegments/index/', ['_current' => true]);
		      
	      }else if($result_array['error'] != '') {
		      $this->messageManager->addError(__($result_array['error']));
		      return $this->resultRedirectFactory->create()->setPath('pushassist/createsegments/index/', ['_current' => true]);
	      }else {
		      $this->messageManager->addError(__($result_array['errors']));
		      return $this->resultRedirectFactory->create()->setPath('pushassist/createsegments/index/', ['_current' => true]);
	      }
	}
     
    }
}

